#
# spec file for package perl-Socket-MsgHdr (Version 0.04)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Socket-MsgHdr
Url:            http://search.cpan.org/
License:        Artistic-1.0
Group:          Development/Libraries/Perl
#Requires:     
AutoReqProv:    on
Summary:        Perl interface for the sendmsg/recvmsg functions
Version:        0.04
Release:        27.5
Source:         Socket-MsgHdr-%{version}.tar.gz
Patch:          perl-Socket-MsgHdr.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
Socket::MsgHdr provides advanced socket messaging operations via
sendmsg and recvmsg.



Authors:
--------
    Michael J. Pomraning

%prep
%setup -n Socket-MsgHdr-%{version}
%patch

%build
perl Makefile.PL
make %{?_smp_mflags}
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST
%doc %{_mandir}/man3/*
%{perl_vendorarch}/Socket
%{perl_vendorarch}/auto/Socket

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Fri Jan  8 2010 mls@suse.de
- update to Socket-MsgHdr-0.04 to get rid of patches
* Sun Dec 20 2009 jengelh@medozas.de
- enable parallel build
* Wed May 31 2006 mls@suse.de
- initial revision
